Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000529Gnome Inform application[IDEs] Installation and Platform Issuespublic2011-01-30 16:562014-05-07 07:40
Reportereglaysher 
Assigned Topchimento 
PrioritynormalSeverityseriousReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSLinuxOS VersionAny
Product Version 
Target VersionFixed in Version6L02 
Summary0000529: 6.31/6G60 Terps report supporting hyperlinks, but don't execute them.
DescriptionThe Linux Inform IDE reports that it supports hyperlinks, but when trying to click on the links while playing the game in the IDE, the handlers in my code are never called.

If make a release build and play the gblorb in gargoyle, the links are clickable so I don't think this is a problem in my code. I've made a reduced testcase below, requiring one of Ms. Short's extensions, and showing off the result of the gestalt check.

I've tried this with both the built in Glulx and git in Inform.
Minimal Source Text To Reproduce
[Mostly copied from the example in Emily Short's hyperlink extension.]
Include Basic Hyperlinks by Emily Short.

When play begins:
	check hyperlinking.
	
To check hyperlinking:
	(- if (glk_gestalt(gestalt_Hyperlinks, 0)) print "Terp reports hyperlink support.^"; -)

Mossy Bank is a room. "The shore here is made up of round rocks, very heavily grown over with a 
slippery grey-green moss. To the [set link 1]north[end link] is a small shack."

Table of Hyperlink Glulx Replacement Commands (continued)
linknum	replacement
1	"north"
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001025)
pchimento (developer)
2011-02-14 03:02

Reported as a bug in Chimara:

http://www.chimara-if.org/trac/ticket/17 [^]

- Issue History
Date Modified Username Field Change
2011-01-30 16:56 eglaysher New Issue
2011-01-31 01:00 jmcgrew Status new => acknowledged
2011-02-05 16:27 EmacsUser Status acknowledged => confirmed
2011-02-12 03:54 pchimento Assigned To => pchimento
2011-02-12 03:54 pchimento Status confirmed => assigned
2011-02-14 03:02 pchimento Note Added: 0001025
2011-02-22 14:32 pchimento Status assigned => resolved
2011-02-22 14:32 pchimento Resolution open => fixed
2014-05-07 07:40 jmcgrew Fixed in Version => 6L02
2014-05-07 07:40 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker